#!/usr/bin/env python


# Structure Module
Wannier_Folder = '../1_unit/'
import structure_pymodule as str
st = str.Structure(Wannier_Folder + 'wannier90.win',2)
st.Repeat_Structure(11, 11, 1)


import elhamiltonian_pymodule as elham
elH = elham.ElHamiltonian(0, 1, st)
elH.Import_WannierCentres(Wannier_Folder + 'wannier90_centres.xyz')
elH.Import_WannierHR(Wannier_Folder + 'wannier90_hr.dat')
elH.Build_Hamiltonian()


# Phonon Hamiltonian Module
DFPT_Folder = '../2_super/'
import phhamiltonian_pymodule as phham
phH = phham.PhHamiltonian(1, 0, st)
phH.Import_VASPXML(DFPT_Folder + 'vasprun.xml')
phH.Create_TableFC()
phH.Build_Hamiltonian()


# Electron-Phonon Hamiltonian Module
dHdQ_Folder = '../5_dHdQ/'
import numpy as np
dHdQ = np.load(dHdQ_Folder + 'dHdQ.npy')
import electronphonon_pymodule as elph
elphSelf = elph.ElectronPhonon(st,st)
elphSelf.Read_dHdQ(dHdQ, dHdQ.size)
elphSelf.Read_LayerMatrix(dHdQ_Folder + 'Layer_Matrix.dat')
elphSelf.Read_TotalMatrix(dHdQ_Folder + 'Total_Matrix.dat')
elphSelf.Read_RVec(dHdQ_Folder + 'Rvec.dat')

# LBTE Module
import lbte_pymodule as lbtemodule
lbte = lbtemodule.LBTE(elH, phH, elphSelf, st, st, 1) # lat scatt type 1 with phonons 2 without

#Fermi shift   -0.1784   -0.1188   -0.0388    0.0142    0.0483    0.1298
#Dopin         1*10^10   1*10^11   2*10^12    1*10^13   2*10^13   5*10^13
# Fermi shift is applied relative to Cond Edge min

lbte.Set_FermiEnergy(-0.99999 +0.1 -0.1784) #-0.99999 +0.1 + 0.1298
lbte.Set_EnergyRange(0.4) #0.4 0.25
lbte.Set_BandEdge(-0.9, -2.55, 1, 2) # last input number of cond bands

k = 201
lbte.Set_NumKBGroup(128)
lbte.Set_Temp(300)

# test minimum memory
lbte.Calc_gkq_minmem(k, k, 1, 0)
lbte.Calc_TranProb_minmem(k, k, 1, 0)


































