close all


figsizex = 690;
figsizey = 500;

% dHdQ plots
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

dHdQ = [
-1.63023651e-03  1.27190281e-08  6.80764971e-09 -3.78367258e-03 -1.92449079e-04  6.55902090e-09 -4.45017940e-03 -2.53671897e-03 -6.03808973e-09  3.29846827e-10  4.00907291e-09 -5.73831494e-03 -6.65336847e-03;
 2.39366200e-02  3.30474732e-09 -2.98305944e-09  2.26310221e-02 3.37784877e-03 -4.39720287e-09 -3.28716123e-03 -4.52069798e-03 -2.79693740e-09 -6.12500805e-09 -3.06495779e-09  8.96980055e-05 -7.90285412e-03;
-1.55381858e-02  3.82233416e-09 -1.83694981e-09 -1.20358542e-01 -1.58650801e-03 -5.78156490e-09 -8.34260136e-02 -1.13076530e-01 1.35482109e-09 -1.39946610e-09 -6.88402948e-09 -4.00986522e-01 -3.46128829e-01;
 1.13821030e+00  3.26652767e-11 -3.24184440e-09  5.43162227e-01 -2.22565606e+00 -1.00766253e-08  6.86690211e-01  1.32231414e+00 -3.96668462e-09 -1.39022794e-09  4.06260615e-09  7.11351633e-01 4.14286554e+00];

dist = [1.27, 0.95, 0.64, 0.32];

size1 = 5;
size2 = 20;

figure('DefaultAxesFontSize',15)
set(gcf,'position',[0,0,figsizex,figsizey])
set(gca,'FontSize',1) 
plot(dist,abs(dHdQ(:,2)),'-xy','LineWidth',size1)
hold on
plot(dist,abs(dHdQ(:,8)),'--om','LineWidth',size1)
hold on
plot(dist,abs(dHdQ(:,1)),':g','LineWidth',size1)
hold on
plot(dist,abs(dHdQ(:,4)),'--db','LineWidth',size1)
hold on
plot(dist,abs(dHdQ(:,13)),'-.sr','LineWidth',size1)
ylim([-0.2 4.3]) %4.5
xlim([0.3 1.3])
xticks(flip(dist))
yticks([0,1,2,3,4])
xlabel('Distance to displaced atom [nm]','FontSize', size2)
ylabel('|dHdQ| [eV/nm]','FontSize', size2)
legend('Mo_{dxy}-S_{px}','Mo_{dxy}-S_{py}','Mo_{dyz}-S_{px}','Mo_{dyz}-S_{py}','Mo_{dxz}-S_{py}')
h=xline(0.95,'--k','LineWidth',2);
h.Annotation.LegendInformation.IconDisplayStyle = 'off';

% mob plots
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure('DefaultAxesFontSize',15)
set(gcf,'position',[0,0,figsizex,figsizey])

set(gca,'FontSize',1) 
mob_100 = [1334,1334,1332,1116,587,292]; % 587
mob_200 = [506,506,498,417,305,173];
mob_300 = [274,273,264,226,186,114];
dop = [10^10,10^11,2*10^12,1*10^13,2*10^13,5*10^13];

size = 3;

semilogx(dop,mob_100,'--^k','LineWidth',size)
hold on
semilogx(dop,mob_200,'--dr','LineWidth',size)
hold on
semilogx(dop,mob_300,'--sb','LineWidth',size)

ylabel('Mobility [cm^2/Vs]','FontSize', 20)
xlabel('Carrier density [cm^{-2}]','FontSize', 20)
legend('100K','200K','300K');
% ax.XAxis.FontSize = 15;
% ax.YAxis.FontSize = 10;

%band plots
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

size1 = 20;
size2 = 15;

figure('DefaultAxesFontSize',15)
set(gcf,'position',[0,0,figsizex,figsizey])

subplot(1,2,1) 
set(gca,'FontSize',1) 
plot(Ek'+1.5,'b','LineWidth',1.5)
xlim([0 900])
ylim([-2 2])
xticks([0 300 455 600 900])
xticklabels({'M','\Gamma','\Sigma','K','M'})

title('El')
xline(300,'--k');
xline(455,'--k');
xline(600,'--k');

ax = gca;
ax.XAxis.FontSize = size1;
ax.YAxis.FontSize = size2;
ylabel('E[eV]','FontSize', size1)


subplot(2,2,2) 
plot(Eq','r','LineWidth',1.5)
% xticks([0 50 100])
% xticklabels({'K','\Gamma','M'})
xticks([])
xticklabels({})
title('Ph')
ax = gca;
ax.XAxis.FontSize = size1;
ax.YAxis.FontSize = size2;
ylabel('E[eV]','FontSize', size1)

subplot(2,2,4) 
plot(gkq_LAOP_path_r1,'g','LineWidth',1.5)
hold on
plot(gkq_LAOP_path_r2,'m','LineWidth',1.5)
hold on
plot(gkq_LAOP_path_r3,'r','LineWidth',1.5)
hold on
plot(gkq_LAOP_path_r4,'b','LineWidth',1.5)
hold on
x = 43:59;
plot(x,fline(43:59), '--k','LineWidth',1.5)
legend('3x3','5x5','7x7','9x9','Frö');

ylim([0 0.35])
xticks([0 50 100])
xticklabels({'K','\Gamma','M'})
title('LO')
ax = gca;
ax.XAxis.FontSize = size1;
ax.YAxis.FontSize = size2;
ylabel('|gkq(q)|[eV]','FontSize', size1)


%Bandplot slides
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%

figsizexb = 500;
figsizeyb = 500;
size1 = 20;
size2 = 15;

figure('DefaultAxesFontSize',15)
set(gcf,'position',[0,0,figsizexb,figsizeyb])

t = linspace(1,length(Ek(1,:)),length(Ek(1,:)));

set(gca,'FontSize',1) 
hDFT = plot(Ek'+1.5,'-b','LineWidth',1.5);
hold on
hWAN = plot(t(:,1:15:end),Ek(:,1:15:end)'+1.5,'*r','LineWidth',1.1);
hold off
xlim([0 900])
ylim([-2 2])
xticks([0 300 455 600 900])
xticklabels({'M','\Gamma','\Sigma','K','M'})
title('Electronic Band Structure')
xline(300,'--k');
xline(455,'--k');
xline(600,'--k');

legend([hDFT(1),hWAN(1)],{'DFT','WAN'});

ax = gca;
ax.XAxis.FontSize = size1;
ax.YAxis.FontSize = size2;
ylabel('E[eV]','FontSize', size1)

figure('DefaultAxesFontSize',15)
set(gcf,'position',[0,0,figsizexb,figsizeyb])

plot(Eq','b','LineWidth',1.5)
% xticks([0 50 100])
% xticklabels({'K','\Gamma','M'})
xticks([])
xticklabels({})
title('Phonon Band Structure')
ax = gca;
ax.XAxis.FontSize = size1;
ax.YAxis.FontSize = size2;
ylabel('E[eV]','FontSize', size1)
xticks([0 50 100])
xticklabels({'K','\Gamma','M'})

%gkq
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
res = 25;
map = jet;

size1 = 20;
size2 = 20;
size3 = 15;


fig = figure('DefaultAxesFontSize',15);
set(gcf,'position',[0,0,figsizex,figsizey])

subplot(2,2,1) 
contourf(reshape(gkqLA,50,50),res);
colormap(map)
xticks([1 12.5 25 37.5 50])
xticklabels({-0.2,-0.1,0.0,0.1,0.2})
%xlabel('qx[2\pi/a]','FontSize', 15)
yticks([1 12.5 25 37.5 50])
yticklabels({-0.2,-0.1,0.0,0.1,0.2})
%ylabel('qx[2\pi/a]','FontSize', 15)
a = colorbar;
% a.Label.String = '[eV]';
% a.Label.FontSize = size1;
title('TA','FontSize', size3)

subplot(2,2,2)
contourf(reshape(gkqTA,50,50),res);
colormap(map)
xticks([1 12.5 25 37.5 50])
xticklabels({-0.2,-0.1,0.0,0.1,0.2})
%xlabel('qx[2\pi/a]','FontSize', 15)
yticks([1 12.5 25 37.5 50])
yticklabels({-0.2,-0.1,0.0,0.1,0.2})
%ylabel('qx[2\pi/a]','FontSize', 15)
a = colorbar;
a.Label.String = '[eV]';
a.Label.FontSize = size1;
title('LA','FontSize', size3)

subplot(2,2,3)
contourf(reshape(gkqTAOP,50,50),res);
colormap(map)
xticks([1 12.5 25 37.5 50])
xticklabels({-0.2,-0.1,0.0,0.1,0.2})
%xlabel('qx[2\pi/a]','FontSize', 15)
yticks([1 12.5 25 37.5 50])
yticklabels({-0.2,-0.1,0.0,0.1,0.2})
%ylabel('qx[2\pi/a]','FontSize', 15)
a = colorbar;
% a.Label.String = '[eV]';
% a.Label.FontSize = size1;
title('TO','FontSize', size3)

subplot(2,2,4)
contourf(reshape(gkqLAOP,50,50),res);
colormap(map)
xticks([1 12.5 25 37.5 50])
xticklabels({-0.2,-0.1,0.0,0.1,0.2})
%xlabel('qx[2\pi/a]','FontSize', 15)
yticks([1 12.5 25 37.5 50])
yticklabels({-0.2,-0.1,0.0,0.1,0.2})
%ylabel('qx[2\pi/a]','FontSize', 15)
a = colorbar;
a.Label.String = '[eV]';
a.Label.FontSize = size1;
title('LO','FontSize', size3)

han=axes(fig,'visible','off'); 
han.Title.Visible='on';
han.XLabel.Visible='on';
han.YLabel.Visible='on';
%xlabel(han,'yourXLabel');
xlabel('qx[2\pi/a]','FontSize', size2)
%title(han,'yourTitle');'
ylabel(han,'qy[2\pi/a]','FontSize', size2)





